#ifndef _LINUX_MM_H
#define _LINUX_MM_H

#include <kernel/sched.h>
#include <kernel/errno.h>
#include <kernel/kernel.h>
#include <kernel/string.h>

extern unsigned long high_memory;

#ifdef __KERNEL__

#define VERIFY_READ 0
#define VERIFY_WRITE 1

extern int verify_area();

extern void mem_init();
extern void oom();
extern void si_meminfo();

#endif /* __KERNEL__ */

#endif
